Bug 456684 - Review Request: pathfinder - X.509 Path Discovery and Validation
Review Request: pathfinder - X.509 Path Discovery and Validation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On: 479144
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-25 11:08 EDT by Konstantin Ryabitsev
Modified: 2009-07-14 11:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:47:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2008-07-25 11:08:43 EDT
Spec URL: http://icon.fedorapeople.org/f/pathfinder.spec
SRPM URL: http://icon.fedorapeople.org/f/pathfinder-0.2.6-0.2.fc9.src.rpm
Description:
Pathfinder is designed to provide a mechanism for any program to perform
RFC3280-compliant path validation of X.509 certificates, even when some of
the intermediate certificates are not present on the local machine. It will
automatically download any such certificates (and their CRLs) from the
Internet as needed using the AIA and CRL distribution point extensions of the
certificate it is processing.
Comment 1 Dan Horák 2008-07-28 03:12:07 EDT
first part of review is here, but it must build in Rawhide before continuing :-)

OK	source files match upstream:
	    cdad78a08f7fc614da104459714da2f94093fae9  pathfinder-0.2.6-Source.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (LGPLv2+). License text included in package.
OK	latest version is being packaged.
OK*	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
BAD	package builds in mock (Rawhide/x86_64).
??	debuginfo package looks complete.
??	rpmlint is silent.
??	final provides and requires look sane.
??	%check is present and all tests pass.
OK	shared libraries are added to the regular linker search paths.
BAD	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present (shared libs, new user, service).
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	headers in -devel.
OK	pkgconfig files in -devel.
OK	no libtool .la droppings.
OK	not a GUI app.

- pkgconfig can be removed from BR: as it is taken in by the *-devels
- doesn't build in Rawhide

/usr/lib64/ccache/c++    -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4
-m6/builddir/build/BUILD/pathfinder-0.2.6/dbus/wvdbuslistener.h: In member
function 'void WvDBusListener<P1, P2, E,
E>::dispatch(DB/builddir/build/BUILD/pathfinder-0.2.6/pathclient.cc:114:  
instantiated from here
/builddir/build/BUILD/pathfinder-0.2.6/dbus/wvdbuslistener.h:115: error: cast
from 'DBusMessageIter*' to 'int' loses precision
make[2]: Leaving directory `/builddir/build/BUILD/pathfinder-0.2.6'
make[2]: *** [CMakeFiles/pathclient.dir/pathclient.o] Error 1


- -devel should own the whole %{_includedir}/pathfinder-1/ dir not only the file
 inside it
Comment 2 Konstantin Ryabitsev 2008-07-29 22:02:34 EDT
Confirmed non-building on x86_64 -- passed upstream. Holding off for now.
Comment 3 Dan Horák 2008-10-10 07:01:50 EDT
Ping, any progress?
Comment 4 Konstantin Ryabitsev 2008-12-27 13:28:05 EST
Still waiting for a new upstream release.

http://code.google.com/p/pathfinder-pki/issues/detail?id=16
Comment 5 Konstantin Ryabitsev 2009-07-03 22:42:04 EDT
All right, almost a year later things are finally in place to have this in Fedora. :) Here's the latest spec and srpm:

http://icon.fedorapeople.org/f/pathfinder.spec
http://icon.fedorapeople.org/f/pathfinder-1.0.0-0.2.fc11.src.rpm

All the above issues should be fixed. It builds and works on x86_64. The patches that are applied in this RPM have all been submitted upstream.
Comment 6 Dan Horák 2009-07-10 07:01:16 EDT
Doing a full review after such long time, see comments at the end of the check-list.

OK*	source files match upstream:
	    6bdd0eaae0b2e1240023335398bd7c84dce88e36  pathfinder-1.0.0-Source.tar.gz
BAD	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (LGPLv2+). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.

OK	compiler flags are appropriate.
OK	%clean is present.
OK*	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK*	rpmlint is silent.
OK	final provides and requires look sane.
BAD	%check is present and all tests pass.
OK	shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present (shared libs, new user, service).
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	headers in -devel.
OK	pkgconfig files in -devel.
OK	no libtool .la droppings.
OK	not a GUI app.

- googlecode return 404 when trying to download the sources, but in few times I was successful, strange ...
- why Release == 0.2 when 1.0.0 is a regular release, not a pre-release
- it builds with the check section disabled
- checks don't run in a chrooted environment (in mock)
- rpmlint complains a bit, but it's harmless and expected
pathfinderd.x86_64: W: non-standard-uid /var/run/pathfinderd pathfinderd
pathfinderd.x86_64: W: non-standard-gid /var/run/pathfinderd pathfinderd
pathfinderd.x86_64: W: incoherent-subsys /etc/rc.d/init.d/pathfinderd $prog
Comment 7 Konstantin Ryabitsev 2009-07-11 16:37:40 EDT
- Release = 0.2 because it's not the final version of the spec. :) I usually change it to 1 before importing into cvs
- Checks seem to only be failing on ppc, while passing on i586 and x86_64. Filed a bug upstream and added ifnarch.

This is a scratch build of the 0.3 spec release:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1468032

Updated .spec and .src.rpm:
http://fedorapeople.org/~icon/f/pathfinder.spec
http://fedorapeople.org/~icon/f/pathfinder-1.0.0-0.3.fc11.src.rpm
Comment 8 Dan Horák 2009-07-13 03:57:42 EDT
(In reply to comment #7)
> - Release = 0.2 because it's not the final version of the spec. :) I usually
> change it to 1 before importing into cvs

OK

> - Checks seem to only be failing on ppc, while passing on i586 and x86_64.

Hm, I got failures when doing a mock build for rawhide/x86_64 ...

> Filed a bug upstream and added ifnarch.
> 
> This is a scratch build of the 0.3 spec release:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1468032
> 
> Updated .spec and .src.rpm:
> http://fedorapeople.org/~icon/f/pathfinder.spec
> http://fedorapeople.org/~icon/f/pathfinder-1.0.0-0.3.fc11.src.rpm  

All issues are resolved, this package is APPROVED.
Comment 9 Konstantin Ryabitsev 2009-07-13 11:21:33 EDT
Thanks, Dan!

New Package CVS Request
=======================
Package Name: pathfinder
Short Description: X.509 Path Discovery and Validation
Owners: icon
Branches:
InitialCC:
Comment 10 Kevin Fenzi 2009-07-14 00:30:04 EDT
cvs done.
Comment 11 Konstantin Ryabitsev 2009-07-14 11:47:38 EDT
Imported and built. Thanks, all!

Note You need to log in before you can comment on or make changes to this bug.